Subject: [bug#69052] Light rework needed

From: Nicolas Graves <[email-masked]>
Date: Sun, 11 Feb 2024 18:20:41 +0100

If that's not straightforward: this patch allows the service to accept
an additional guix channel which replaces the default in this
case. Currently the default was to append, thus you could not use
another guix channel (a local guix for instance).

I've seen that a light rework is necessary. This is due to the fact that
a channel name can be both a symbol and a string, we thus need to ensure
that the (member ...) comparison is properly done if the user uses
strings instead of symbols in channel definition. 

-- 
Best regards,
Nicolas Graves